

# GetGraphqlApi
<a name="API_GetGraphqlApi"></a>

Retrieves a `GraphqlApi` object.

## Request Syntax
<a name="API_GetGraphqlApi_RequestSyntax"></a>

```
GET /v1/apis/apiId HTTP/1.1
```

## URI Request Parameters
<a name="API_GetGraphqlApi_RequestParameters"></a>

The request uses the following URI parameters.

 ** [apiId](#API_GetGraphqlApi_RequestSyntax) **   <a name="appsync-GetGraphqlApi-request-uri-apiId"></a>
The API ID for the GraphQL API.  
Required: Yes

## Request Body
<a name="API_GetGraphqlApi_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_GetGraphqlApi_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "graphqlApi": { 
      "additionalAuthenticationProviders": [ 
         { 
            "authenticationType": "string",
            "lambdaAuthorizerConfig": { 
               "authorizerResultTtlInSeconds": number,
               "authorizerUri": "string",
               "identityValidationExpression": "string"
            },
            "openIDConnectConfig": { 
               "authTTL": number,
               "clientId": "string",
               "iatTTL": number,
               "issuer": "string"
            },
            "userPoolConfig": { 
               "appIdClientRegex": "string",
               "awsRegion": "string",
               "userPoolId": "string"
            }
         }
      ],
      "apiId": "string",
      "apiType": "string",
      "arn": "string",
      "authenticationType": "string",
      "dns": { 
         "string" : "string" 
      },
      "enhancedMetricsConfig": { 
         "dataSourceLevelMetricsBehavior": "string",
         "operationLevelMetricsConfig": "string",
         "resolverLevelMetricsBehavior": "string"
      },
      "introspectionConfig": "string",
      "lambdaAuthorizerConfig": { 
         "authorizerResultTtlInSeconds": number,
         "authorizerUri": "string",
         "identityValidationExpression": "string"
      },
      "logConfig": { 
         "cloudWatchLogsRoleArn": "string",
         "excludeVerboseContent": boolean,
         "fieldLogLevel": "string"
      },
      "mergedApiExecutionRoleArn": "string",
      "name": "string",
      "openIDConnectConfig": { 
         "authTTL": number,
         "clientId": "string",
         "iatTTL": number,
         "issuer": "string"
      },
      "owner": "string",
      "ownerContact": "string",
      "queryDepthLimit": number,
      "resolverCountLimit": number,
      "tags": { 
         "string" : "string" 
      },
      "uris": { 
         "string" : "string" 
      },
      "userPoolConfig": { 
         "appIdClientRegex": "string",
         "awsRegion": "string",
         "defaultAction": "string",
         "userPoolId": "string"
      },
      "visibility": "string",
      "wafWebAclArn": "string",
      "xrayEnabled": boolean
   }
}
```

## Response Elements
<a name="API_GetGraphqlApi_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [graphqlApi](#API_GetGraphqlApi_ResponseSyntax) **   <a name="appsync-GetGraphqlApi-response-graphqlApi"></a>
The `GraphqlApi` object.  
Type: [GraphqlApi](API_GraphqlApi.md) object

## Errors
<a name="API_GetGraphqlApi_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You don't have access to perform this operation on this resource.  
HTTP Status Code: 403

 ** BadRequestException **   
The request is not well formed. For example, a value is invalid or a required field is missing. Check the field values, and then try again.    
 ** detail **   
Provides further details for the reason behind the bad request. For reason type `CODE_ERROR`, the detail will contain a list of code errors.  
 ** reason **   
Provides context for the cause of the bad request. The only supported value is `CODE_ERROR`.
HTTP Status Code: 400

 ** InternalFailureException **   
An internal AWS AppSync error occurred. Try your request again.  
HTTP Status Code: 500

 ** NotFoundException **   
The resource specified in the request was not found. Check the resource, and then try again.  
HTTP Status Code: 404

 ** UnauthorizedException **   
You aren't authorized to perform this operation.  
HTTP Status Code: 401

## See Also
<a name="API_GetGraphqlApi_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/appsync-2017-07-25/GetGraphqlApi) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/appsync-2017-07-25/GetGraphqlApi) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/appsync-2017-07-25/GetGraphqlApi) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/appsync-2017-07-25/GetGraphqlApi) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/appsync-2017-07-25/GetGraphqlApi) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/appsync-2017-07-25/GetGraphqlApi) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/appsync-2017-07-25/GetGraphqlApi) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/appsync-2017-07-25/GetGraphqlApi) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/appsync-2017-07-25/GetGraphqlApi) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/appsync-2017-07-25/GetGraphqlApi) 